import { Func, VoidFunc } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
import { Paging } from "../table-models";
export declare function goToPreviousPage(pageNumber: number, pageSize: number, onPaging: Func<Paging, void>, setPagenumber: Func<number, void>): void;
export declare function goToFirstPage(pageSize: number, onPaging: Func<Paging, void>, setPageNumber: Func<number, void>): void;
export declare function shouldDisabledNextPageButton(rowCount: number, pageSize: number): boolean;
export declare function goToNextPage(pageNumber: number, pageSize: number, onPaging: Func<Paging, void>, setPagenumber: Func<number, void>): void;
export declare function emitPagerPaging(pageNumber: number, pageSize: number, onPaging: Func<Paging, void>): void;
export declare function handlePageSizeChange(setPageSize: VoidFunc<number>, pageNumber: number, onPaging: VoidFunc<Paging>, setPageNumber: VoidFunc<number>, setIsOpened: VoidFunc<boolean>, newSize?: string): void;
